Package org.tanukisoftware.wrapper.test

# Class DeadLockBase

java.lang.Object
org.tanukisoftware.wrapper.test.DeadLockBase

public class DeadLockBase extends Object
This is test is designed to simulate various deadlock cases using either ReentrantLock instances or synchronized objects.

## Method Summary

Modifier and Type
Method
Description
`static void`
`create2ObjectDeadlock(boolean reentrant1, boolean reentrant2)`
`static void`
`create3ObjectDeadlock(boolean reentrant1, boolean reentrant2, boolean reentrant3)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create2ObjectDeadlock

public static void create2ObjectDeadlock(boolean reentrant1, boolean reentrant2)

### create3ObjectDeadlock

public static void create3ObjectDeadlock(boolean reentrant1, boolean reentrant2, boolean reentrant3)